List jobs
curl --request GET \
--url https://backend.tensorpix.ai/api/jobs/ \
--header 'Authorization: <api-key>'import requests
url = "https://backend.tensorpix.ai/api/jobs/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend.tensorpix.ai/api/jobs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": 123,
"started": "2023-11-07T05:31:56Z",
"preview": true,
"description": "<string>",
"cost_usd": "<string>",
"eta_s": 123,
"finished": "2023-11-07T05:31:56Z",
"processing_progress": 123,
"input_video": {
"id": 123,
"name": "<string>",
"width": 123,
"height": 123,
"created_at": "2023-11-07T05:31:56Z",
"n_frames": 123,
"framerate": 123,
"size": 123,
"owner": "jsmith@example.com",
"thumbnail": "<string>",
"external_url": "<string>",
"bitrate": 123,
"codec_id": "<string>",
"bit_depth": 123,
"chroma_subsampling": "<string>",
"color_space": "<string>",
"file": "<string>"
},
"output_video": {
"id": 123,
"job_id": 123,
"preview_videos": {
"before_video": "<string>",
"after_video": "<string>"
},
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"width": 4128,
"height": 4128,
"owner": 123,
"deleted": "2023-11-07T05:31:56Z",
"framerate": 500,
"n_frames": 1073741824,
"bitrate": 4611686018427388000,
"codec_id": "<string>",
"bit_depth": 15,
"chroma_subsampling": "<string>",
"color_space": "<string>",
"size": 200000000050,
"file": "<string>",
"thumbnail": "<string>",
"quality_score": 3
},
"ml_models": [
{
"id": 123,
"name": "<string>",
"cost_weight": 123,
"upscale_factor": 123,
"fps_boost_factor": 123,
"priority": 123,
"max_resolution": 123
}
],
"grain": 123,
"comparison": true,
"stabilization_smoothing": 123,
"fps_interpolation_factor": 123,
"playback_speed": 123,
"sharpen_strength": 123,
"start_frame": 123,
"end_frame": 123
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}jobs
List jobs
Get the list of jobs. You can know when the job is finished by checking it’s status attribute. Once the job is completed, the previously null output_video attribute will be populated with the enhanced video metadata.
GET
/
api
/
jobs
/
List jobs
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Was this page helpful?
⌘I